Bug 198407 - Package rhpl lacks IPv6 support
Package rhpl lacks IPv6 support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rhpl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:28 EDT by Peter Vrabec
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-19 11:43:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:28:47 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/rhpl-0.186/src/ethtool/ethtool.c:26:  /* SIOCGIFCONF currently seems to only work properly on AF_INET sockets
/rhpl-0.186/src/ethtool/ethtool.c:29:  skfd = socket(AF_INET, SOCK_DGRAM, 0);
/rhpl-0.186/src/ethtool/ethtool.c:124:  fd = socket(AF_INET, SOCK_DGRAM, 0);
/rhpl-0.186/src/ethtool/ethtool.c:176:  fd = socket(AF_INET, SOCK_DGRAM, 0);
/rhpl-0.186/src/ethtool/ethtool.c:227:  fd = socket(AF_INET, SOCK_DGRAM, 0);
/rhpl-0.186/src/ethtool/ethtool.c:281:  fd = socket(AF_INET, SOCK_DGRAM, 0);
/rhpl-0.186/src/ethtool/ethtool.c:335:  fd = socket(AF_INET, SOCK_DGRAM, 0);
/rhpl-0.186/src/ethtool/ethtool.c:411:  fd = socket(AF_INET, SOCK_DGRAM, 0);
Comment 1 Jeremy Katz 2006-07-19 11:43:28 EDT
This is just a control socket used for ethtool operations and thus ipv4 vs ipv6
is irrelevant

Note You need to log in before you can comment on or make changes to this bug.